# {{page-title}}
<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>
<br/>

This set of Profiles relate to the ```Patient``` receiving care, their relations with other persons ```RelatedPerson```, the ```Practitioner``` (health and care professional) providing care, their ```PractionerRole```, the ```Organization``` responsible for delivering care and the ```Location``` at which care is delivered.

There are other FHIR Resources related to people not currently covered in this guidance, they are:
Person
Group.

<br/>

#### Patient
This profile relates to the Patient receiving care. Guidance relating to Patients may be found on the [EeBase-Patient](https://simplifier.net/guide/ee-fhir-base/guides-ee-fhir-base-home-fhir-artifacts-patient?version=current) page.

<br/>

#### Organization
This profile describes organisations involved in the delivery of health and care.

An organization is the legal entity responsible for the care of a patient, for example a Hospital or GP Practice.

Organisations (including private and third sector organisations working with the NHS) should have an Estonian Business Register code.
Organization providing health services should have Estonian Health Board license number.

_Guidance relating to organisations may be found on the EeBase-Organization profile page.???_

{{tree:https://hl7.ee/fhir/StructureDefinition/EEBase-Organization,diff}}

<br/>

#### Location
This profile describes locations at which health and care is delivered. It can represent anything from a bed to a multi-building site. A location can be a partOf another location and can be linked to a managingOrganization.

A location can represent an actual physical location or a class(type) of location see mode for futher infomation.

Be careful not confuse location with organisation. Use location to specify a physical location or class of locations. Use organisation to specify the legally responsible organisation.

{{render:https://hl7.ee/fhir/StructureDefinition/EEBase-Location,hybrid}}

<br/>

#### Practitioner
This profile relates to health and care professional practitioners delivering care. 

Practitioner can be identified by Estonian Id (_isikukood_) or by practitioner code issued by Estonian Health Board.

{{tree:https://hl7.ee/fhir/StructureDefinition/EEBase-Practitioner,diff}}

<br/>

#### PractitionerRole
This profile relates to the role(s) of a practitioner and can also specify the organizations and/or locations at which the practitioner performs particular roles.

This profile can only specify one organisation. Where a practitioner works in multiple organizations an instance of this Profile should be created for each organisation.

{{tree:https://hl7.ee/fhir/StructureDefinition/EEBase-PractitionerRole,diff}}

<br/>

#### Terminology binding
TODO?


