## {{page-title}}

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>

This extension library contains all the extensions Clinically and Technically Assurance for use with EE Base. The profiles are found in the Profiles Index. The table below lists all the current extensions and the context of use. The context of use column indicates the profile and /or element where the extension may be applied. The type column indicates whether the extension is an modifierExtension or not. The general rule is extensions can be ignored by receivers. When a modifierExtension is received it MUST NOT be ignored as it modifies the meaning of the element or elements that contains it. Typically, this means information that qualifies or negates the primary meaning of the element that contains it.

See for more information from HL7 about [FHIR extensions](http://hl7.org/fhir/extensibility.html#Extension) and [FHIR modifierExtensions](http://hl7.org/fhir/extensibility.html#modifierExtension).

All the extensions have been assured as suitable for inclusion in the EE Base:

|Extension|	Status| Maturity| Context of Use|	Related EeBase Profiles|	modifierExtension|
|- 
|[Extension EeBase ADS](https://simplifier.net/ee-base/extension-eebase-ads)| active| 0| Address|	All address fields in EeBase profiles|	No|
|[Extension EeBase EHAK](https://simplifier.net/ee-base/extension-eebase-ehak)| active| 0| Address|	All address fields in EeBase profiles|	No|
|[Extension EeBase Patient Age](https://simplifier.net/ee-base/extension-eebase-PatientAge)| active| 0| Patient.birthDate|	[EeBase-Patient-Unknown](https://simplifier.net/guide/ee-fhir-base/guides-ee-fhir-base-home-fhir-artifacts-patient)<br/>[EeBase-Patient-Newborn](https://simplifier.net/guide/ee-fhir-base/guides-ee-fhir-base-home-fhir-artifacts-patient)| No|


<br/>

<br/>

#### HL7 Common Extensions
The following HL7 extensions have been agreed as suitable to be included for use with the EE Base Profiles Index because the use case for an Extension is fully met by a pre-existing HL7 common Extension. All other HL7 common extensions may be used to extend the EE Base if required by the local implementation.

|HL7 Common Extension|	Context of Use|	Related Profile|	modifierExtension|
|-
|[Common Extension patient-birthPlace](http://hl7.org/fhir/extension-patient-birthplace.html)|	Patient| EeBasePatientNewborn|	No|
|[Common Extension patient-birthTime](https://www.hl7.org/fhir/extension-patient-birthtime.html)|	Patient.birthDate| EeBasePatient |	No|
|[Common Extension patient-animal](https://www.hl7.org/fhir/extension-patient-animal.html)|	Patient| EeBasePatientAnimal |	No|
|[Common Extension organization-period](https://www.hl7.org/fhir/extension-organization-period.html)|	Organization|	EeBaseOrganization|	No|
|TO BE CONTINUED||||

<br/>

#### StructureDefinition Extension-EeBase-EHAK
This carries an administrative division code which will be included in an address.

_http://hl7.ee/id/ehak-number_ should be used as coding system.

**Purpose**

This extension extends the Address datatype to support the exchange of the type of address code and the address code value, which are currently not supported by the FHIR standard.

{{tree:https://hl7.ee/fhir/StructureDefinition/Extension-EEBase-EHAK, diff}}

<br/>

#### StructureDefinition Extension-EeBase-ADS
This carries an address key which will be included in an address.

_http://hl7.ee/id/ads-number_ should be used as coding system.

**Purpose**

This extension extends the Address datatype to support the exchange of the type of address key and the address key value, which are currently not supported by the FHIR standard.
{{tree:https://hl7.ee/fhir/StructureDefinition/Extension-EEBase-ADS, diff}}

<br/>

#### StructureDefinition Extension-EeBase-Age
Supports the date when exact date is unknown.

**Purpose**

This extension extends the _Patient.birthDate_ datatype to support the exchange of information describing the age of subject, which is currently not supported by the FHIR standard.

{{tree:https://hl7.ee/fhir/StructureDefinition/Extension-EEBase-PatientAge, hybrid}}
