# {{page-title}} 

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>


## General
<div class="card border-success mb-3" id="fhir-gen-01">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-GEN-01 HL7 FHIR standard compliance</strong>
   <a href="#fhir-gen-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>All FHIR implementations MUST comply with HL7 FHIR standard</li>
        <ul>
            <li>All implementations of FHIR interfaces MUST comply with the requirements outlined in the relevant release of the HL7 FHIR standards, as outlined on <a href="https://fhir.hl7.org/">https://fhir.hl7.org/</a></li>
        </ul>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-gen-02">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-GEN-02 Availability of FHIR resources on public server</strong>
   <a href="#fhir-gen-02"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>All FHIR resources published on a public FHIR reference server</li>
        <ul>
            <li>All FHIR resources relating to national systems and other nationally defined FHIR API profiles (including StructureDefinitions, ValueSets, OperationDefinitions, ImplementationGuides, etc.) that are ready for external use (in either DRAFT or ACTIVE status) MUST also be made available the HL7 Estonia reference server api.fhir.hl7.ee.</li>
            <li>Resources that are part of National Estonian Health System (TIS) MUST also be published on a TEHIK branded public FHIR server fhir.tehik.ee.</li>
        </ul>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-gen-03">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-GEN-03 Avoid FHIR Document Paradigm</strong>
   <a href="#fhir-gen-03"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>Avoid FHIR Document Paradigm when possible. Use ReST and Messaging Paradigns instead.</li>
    </ul>
  </div>
</div>
