## {{page-title}}

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>



<div class="card border-success mb-3" id="fhir-profile-01">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PROFILE-01 Profile tree</strong>
   <a href="#fhir-profile-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
The FHIR standard provides a mechanism to specialise and extend FHIR resources through the creation of [profiles](https://www.hl7.org/fhir/profiling.html).<br/>In Estonia, we are developing profiles according to the below “levels”:
    <ul>
        <li>Level 1: These are the base [FHIR resource profiles](http://hl7.org/fhir/resourcelist.html) defined by HL7 international</li>
        <li>Level 2: These are referred to as ‘Estonian Base Profiles’ and are Estonia-wide profiles curated through the HL7 FHIR Estonia community, and published on the HL7 Estonia FHIR reference server</li>
        <li>Level 3: These are implementation-specific profiles for a particular system or domain. <br/>Profiles for upTIS these are published on the TEHIK FHIR Reference Server. <br/>Profiles for Eesti Haigekassa projects these are published on the Eesti Haigekassa FHIR Reference Server.</li>
    </ul>
  </div>
</div>


<div class="card border-success mb-3" id="fhir-profile-02">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PROFILE-02 Summary field</strong>
   <a href="#fhir-profile-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>Profiles MUST NOT define alternate summary fields for resources.</li>
        <ul>
            <li>All FHIR base resources have a number of fields defined as 'summary' fields, which appear in results when the client requested summary versions of the resource to be returned (for example in search results). These summary fields can only be defined in base resources and cannot be changed in any profiles.</li>
            <li>Note: This is a rule established by HL7, but is not clear in the HL7 FHIR specification.</li>
        </ul>
    </ul>
  </div>
</div>
