## {{page-title}}

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>


<div class="card border-success mb-3" id="fhir-pub-01">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PUB-01 Official repository</strong>
   <a href="#fhir-pub-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>The Github repository for Estonian FHIR Base is <a href="https://github.com/HL7EE/ee-fhir-base">https://github.com/HL7EE/ee-fhir-base</a>.</li>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-pub-02">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PUB-02 Availability of source code</strong>
   <a href="#fhir-pub-02"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>All FHIR resources relating to national systems and other nationally defined FHIR API profiles (including StructureDefinitions, ValueSets, OperationDefinitions, ImplementationGuides, etc.) MUST be held on a publicly available GitHub repository which MAY be sychronised with a Simplifier project.</li>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-pub-03">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PUB-03 Development of standard</strong>
   <a href="#fhir-pub-03"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>Comments, feedback and suggestions from developers on FHIR resources (and associated documentation) SHOULD be managed through Simplifer using the standard features for raising and tracking issues on the site ??????????????</li>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-pub-04">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PUB-04 Pattern for URI-s</strong>
   <a href="#fhir-pub-04"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>All FHIR resource URIs must be resolvable URLs</li>
        <ul>
            <li>All FHIR resources relating to national systems and other nationally defined FHIR API profiles (including StructureDefinitions, ValueSets, OperationDefinitions, ImplementationGuides, etc.) MUST have a URI that is a resolvable URL. Usually this will be the URL of the resource on the FHIR API reference server (hl7.ee/fhir).</li>
        </ul>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-pub-05">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-PUB-05 Packaging</strong>
   <a href="#fhir-pub-05"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>All FHIR resources published on a public FHIR Implementation Guide and released as an FHIR Package.</li>
    </ul>
  </div>
</div>

