## {{page-title}}

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>


<div class="card border-success mb-3" id="fhir-id-01">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-ID-01 FHIR resource ID</strong>
   <a href="#fhir-id-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>Resource IDs MUST be generated only by FHIR server</li>
        <li>Business ID-s MUST NOT be used as resource ID</li>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-id-02">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-ID-02 References between ReST resources</strong>
   <a href="#fhir-id-02"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>References between ReST resources SHOULD be literal references without FHIR server path, but MAY be logical references</li>
        <ul>
            <li>When using the FHIR ReST Paradigm, resources will SHOULD reference other resources via URL (i.e. a <a href="https://www.hl7.org/fhir/references.html#literal">literal reference</a> in the FHIR standard). The resource owner should (where possible) only reference other resources that they can be relatively confident consumers of their API will be able to resolve and retrieve. For referencing other things outside this, a logical reference SHOULD be used.</li>
            <li>Note: URL references to other resources will (by default) return the latest version of the referenced resource. If this isn’t desirable, the resource owner may either contain the resource or use a versioned URL as a literal reference.</li>
        </ul>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-id-03">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-ID-03 Logical references</strong>
   <a href="#fhir-id-03"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>References in FHIR messaging SHOULD be logical references</li>
        <li>When using the FHIR Messaging Paradigm, it is likely messages will include references to external resources. These references SHOULD use an identifier from a known NamingSystem. This is known as a logical reference in the FHIR standard. The NamingSystem URI SHOULD be searchable on a FHIR Reference server to return the NamingSystem resource that describes the identifiers used (for example: <a href="https://fhir.hl7.ee/NamingSystem">https://fhir.hl7.ee/NamingSystem</a>).</li>
    </ul>
  </div>
</div>

