## {{page-title}}

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>


<div class="card border-success mb-3" id="fhir-ser-01">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-SER-01 Supported mime-types</strong>
   <a href="#fhir-ser-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>FHIR ReST APIs MUST support JSON serialisation and SHOULD also support XML serialisation</li>
        <ul>
            <li>All FHIR ReST endpoints MUST support JSON formatted requests/responses.</li>
            <li>FHIR ReST endpoints SHOULD also support XML formatted requests/responses.</li>
            <li>The serialisation mime-types supported MUST be declared in the Conformance/CapabilityStatement resource for the endpoint, and the server MUST use the usual FHIR mechanisms to allow clients to request a specific Content Type as per the FHIR spec (servers may choose to reject the use of XML if it is not supported).</li>
        </ul>
    </ul>
  </div>
</div>

<div class="card border-success mb-3" id="fhir-ser-02">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-SER-02 Allowed namespaces</strong>
   <a href="#fhir-ser-02"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>Namespaces outside those defined in the FHIR specification MUST NOT be used</li>
        <ul>
            <li>The FHIR standard <a href="http://hl7.org/implement/standards/fhir/xml.html">specifies a specific namespace</a> for FHIR XML elements, with a second namespace for XHTML content in narrative sections. Those specifying FHIR APIs MUST not use other namespaces in their APIs</li>
        </ul>
    </ul>
  </div>
</div>
