## {{page-title}}

<div class="alert alert-warning">

**Work in progress.**\
This section of the Implementation Guide is subject to change.

</div>

<div class="card border-success mb-3" id="fhir-ver-01">
  <div class="card-header bg-success">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-VER-01: Versioning of Profiles and Resources</strong>
   <a href="#fhir-ver-01"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>Nationally defined FHIR profiles will be versioned during development using Git, and this will follow the standard GitFlow model. The versioning for published artefacts will broadly follow <a href="http://semver.org/">semantic versioning standards</a>.
The major and minor versions will be visible, and the patch version MAY also be exposed. 
Version numbers held in profiles and resource instanced MUST therefore be in one of the following forms:
</br>
MAJOR – e.g. 1
</br>
MAJOR.MINOR – e.g. 1.0
</br>
MAJOR.MINOR.PATCH – e.g. 1.0.2
</li>
    <li>Version number MUST NOT be included into the profile name.</li>
    <li>Version number MUST be used as profile version attribute.</li>
    </ul>
<div class="callout callout-success">
<strong>Example of version number in Estonian base Organization profile</strong><br/> 
<textarea rows="5" cols="80" style="border:none;"> 
<StructureDefinition xmlns="http://hl7.org/fhir">
    <url value="http://hl7.ee/fhir/StructureDefinition/EEBase-Organization" />
    <name value="EEBaseOrganization"
    <version value="1.0.0" />
</textarea>     
</div> 

  </div>
</div>


<!--div class="card border-success mb-3" id="fhir-ver-03">
  <div class="card-header bg-warning">
   <strong class="card-title"><i class="bi bi-check-circle-fill"></i> FHIR-VER-03: HL7 FHIR version in FHIR Endpoint URL</strong>
   <a href="#fhir-ver-03"><i class="bi bi-link-45deg"></i></a>
  </div>
  <div class="card-body">
    <ul>
        <li>TO BE DELETED</li>
        <li>Nationally delivered FHIR endpoints (i.e. servers that implement FHIR standards to serve FHIR resources or respond to calls to FHIR operations), including FHIR messaging endoints, MUST NOT differentiate the HL7 FHIR version (e.g. R4, R5, etc) in the FHIR base URL.
        </br>        
This MUST follow the format: <b>https://[baseurl]</b>
</br>
This MUST NOT follow the format: <b>https://[baseurl]/[fhir-version]</b>
</li>
    </ul>
  </div>
</div-->
